package main

import (
	"sparrow/pkg/server"
)

func main() {
	err := server.Init("coapaccess")
	if err != nil {
		server.Log.Fatal(err)
		return
	}
	a, err := NewAccess()
	if err != nil {
		server.Log.Fatal(err)
		return
	}
	err = server.RegisterUDPHandler(a.CoAPManager)
	if err != nil {
		server.Log.Errorf("Register UDP service Error: %s", err)
		return
	}
	// start to run
	err = server.Run()
	if err != nil {
		server.Log.Fatal(err)
	}
}
